<?xml version="1.0" encoding="UTF-8" ?>

<!DOCTYPE sqlMap PUBLIC "-//iBATIS.com//DTD SQL Map 2.0//EN" "http://www.ibatis.com/dtd/sql-map-2.dtd">

<sqlMap namespace="Reports">

    <resultMap id="resultConceptosFacturacion" class="arg.ros.acc.vo.commons.ReportConFactuVO">
    	<result property="cod_ctaMarkt" column="COD_CTAMARKT" />
    	<result property="des_ctaMarkt" column="DES_CTAMARKT" />
    	<result property="cod_ctaTesor" column="COD_CTATESOR" />
    	<result property="des_ctaTesor" column="DES_CTATESOR" />
    	<result property="cod_confactu" column="COD_CONFACTU" />
    	<result property="des_confactu" column="DES_CONFACTU" />
    	<result property="cfa_devoluci" column="CFA_DEVOLUCI" />
    	<result property="des_devoluci" column="DES_DEVOLUCI" />
    	<result property="cfa_descuent" column="CFA_DESCUENT" />
    	<result property="des_descuent" column="DES_DESCUENT" />
    	<result property="ind_imprFech" column="IND_IMPRFECH" />
    </resultMap>

    <resultMap id="resultCuentasTesoreria" class="arg.ros.acc.vo.commons.ReportCtaTesorVO">
    	<result property="cod_gruTesor" column="COD_GRUTESOR" />
    	<result property="des_gruTesor" column="DES_GRUTESOR" />
    	<result property="cod_ctaTesor" column="COD_CTATESOR" />
    	<result property="des_ctaTesor" column="DES_CTATESOR" />
    	<result property="cta_tesoreri" column="CTA_TESORERI" />
    	<result property="cod_tesor1800" column="CTA_TESOR1800" />
    	<result property="des_tesor1800" column="DES_TESOR1800" />
    	<result property="cod_tesorUmts" column="CTA_TESORUMTS" />
    	<result property="des_tesorUmts" column="DES_TESORUMTS" />
    </resultMap>

    <resultMap id="resultMovimientosCargosOcacionales" class="arg.ros.acc.vo.commons.ReportMovCaOcsVO">
    	<result property="feh_operacio" column="FEH_OPERACIO" />
    	<result property="cta_facturac" column="CTA_FACTURAC" />
    	<result property="num_telefono" column="NUM_TELEFONO" />
    	<result property="feh_cargo" column="FEH_CARGO" />
    	<result property="cta_confactu" column="COD_CONFACTU" />
    	<result property="des_confactu" column="DES_CONFACTU" />
    	<result property="tot_cargoE" column="TOT_CARGO_E" />
    	<result property="cod_usuario" column="COD_USUARIO" />
    	<result property="tipoOperacio" column="TIP_OPERACIO" />
    </resultMap>
	
    <resultMap id="resultPlanFacturacionTarificacion" class="arg.ros.acc.vo.commons.ReportPlanFacTariVO">
		<result property="cod_planFac" column="COD_PLANFACT" />
		<result property="des_planFac" column="DES_PLANFACT" />
		<result property="ind_dispVent" column="IND_DISPVENT" />
		<result property="ind_ctaUnica" column="IND_CTAUNICA" />
		<result property="ind_descMing" column="IND_DESCMING" />
		<result property="ind_dupEnvio" column="IND_DUPENVIO" />
		<result property="ind_escalon" column="IND_ESCALON" />
		<result property="ind_franquic" column="IND_FRANQUIC" />
		<result property="ind_planTari" column="IND_PLANTARI" />
		<result property="num_maxLinea" column="NUM_MAXLINEA" />
		<result property="por_defecto" column="POR_DEFECTO" />
		<result property="plantari" column="PLANTARI" />
		<result property="fec_efectivi" column="FEC_EFECTIVI" />
    </resultMap>
    
	<select id="reportPgsmConFactuMarkt" resultMap="resultConceptosFacturacion" parameterClass="java.util.Map">
		SELECT CFAC.COD_CTAMARKT, 
			(SELECT CMA.DES_CTAMARKT FROM PFA_CTAMARKT CMA WHERE CMA.COD_CTAMARKT = CFAC.COD_CTAMARKT) AS DES_CTAMARKT, CFAC.COD_CTATESOR, 
			(SELECT TES.DES_CTATESOR  FROM PFA_CTATESOR TES WHERE TES.COD_CTATESOR = CFAC.COD_CTATESOR) AS DES_CTATESOR, CFAC.COD_CONFACTU, CFAC.DES_CONFACTU, CFAC.CFA_DEVOLUCI, 
		    (SELECT CONF.DES_CONFACTU FROM PGSM_CONFACTU CONF WHERE CONF.COD_CONFACTU = CFAC.CFA_DEVOLUCI ) AS DES_DEVOLUCI, CFAC.CFA_DESCUENT, 
		    (SELECT CONF.DES_CONFACTU FROM PGSM_CONFACTU CONF WHERE CONF.COD_CONFACTU = CFAC.CFA_DESCUENT) AS DES_DESCUENT, CFAC.IND_IMPRFECH
	    FROM PGSM_CONFACTU CFAC
		ORDER BY COD_CTAMARKT
	</select>
	
	<select id="reportPgsmConFactuTesor" resultMap="resultConceptosFacturacion" parameterClass="java.util.Map">
		SELECT CONF.COD_CTATESOR,
		    (SELECT DES_CTATESOR FROM PFA_CTATESOR WHERE COD_CTATESOR = CONF.COD_CTATESOR) AS DES_CTATESOR, CONF.COD_CTAMARKT,
			(SELECT DES_CTAMARKT FROM PFA_CTAMARKT WHERE COD_CTAMARKT = CONF.COD_CTAMARKT) AS DES_CTAMARKT, CONF.COD_CONFACTU,CONF.DES_CONFACTU, CONF.CFA_DEVOLUCI,
			(SELECT DES_CONFACTU FROM PGSM_CONFACTU WHERE COD_CONFACTU = CONF.CFA_DEVOLUCI) AS DES_DEVOLUCI, CONF.CFA_DESCUENT,
			(SELECT DES_CONFACTU FROM PGSM_CONFACTU WHERE COD_CONFACTU =  CONF.CFA_DESCUENT) AS DES_DESCUENT, CONF.IND_IMPRFECH
		FROM PGSM_CONFACTU CONF
		ORDER BY COD_CTATESOR
	</select>
	
	<select id="reportSpFaCtaTesor" resultMap="resultCuentasTesoreria" parameterClass="java.util.Map">
		SELECT TES.COD_GRUTESOR, 
			(SELECT DES_GRUTESOR FROM PFA_GRUTESOR WHERE COD_GRUTESOR = TES.COD_GRUTESOR) AS DES_GRUTESOR, TES.COD_CTATESOR, TES.CTA_TESORERI, TES.DES_CTATESOR, TES.CTA_TESOR1800, TES.DES_TESOR1800, TES.CTA_TESORUMTS, TES.DES_TESORUMTS
		FROM PFA_CTATESOR TES
		ORDER BY COD_GRUTESOR
	</select>
	
	<select id="reportSpFaFacMovCaOcs" resultMap="resultMovimientosCargosOcacionales" parameterClass="java.util.Map">
		SELECT MOV.FEH_OPERACIO, MOV.CTA_FACTURAC, MOV.NUM_TELEFONO, MOV.FEH_CARGO, MOV.COD_CONFACTU,
			(SELECT DES_CONFACTU FROM PGSM_CONFACTU WHERE COD_CONFACTU = MOV.COD_CONFACTU ) AS DES_CONFACTU, MOV.TOT_CARGO_E, MOV.COD_USUARIO, MOV.TIP_OPERACIO FROM PFA_MOVCAOCS MOV
			WHERE CTA_FACTURAC = #cta_facturac# AND FEH_OPERACIO <![CDATA[ >= ]]> TO_DATE(#fecha_desde#, 'DD/MM/YYYY') AND FEH_OPERACIO <![CDATA[ <= ]]> TO_DATE(#fecha_hasta#, 'DD/MM/YYYY')
	</select>

	<select id="reportSpGaPlanFacTari" resultMap="resultPlanFacturacionTarificacion" parameterClass="java.util.Map">
		SELECT PF.COD_PLANFACT, PF.DES_PLANFACT, PF.IND_DISPVENT, PF.IND_CTAUNICA, PF.IND_DESCMING, PF.IND_DUPENVIO, PF.IND_ESCALON, PF.IND_FRANQUIC, PF.IND_PLANTARI, PF.NUM_MAXLINEA, PF.POR_DEFECTO, PT.COD_PLANTARI || ' - ' || PT.DES_PLANTARI as PLANTARI, REL.NUM_MAXLINEA, TO_CHAR(REL.FEC_EFECTIVI,'dd/mm/yyyy') AS FEC_EFECTIVI
			FROM PFA_PLANFACT PF, PTA_PLANTARI PT, PGA_PLFACTARI REL
				WHERE PF.COD_PLANFACT = REL.COD_PLANFACT AND PT.COD_PLANTARI = REL.COD_PLANTARI
	</select>

</sqlMap>
